<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlOsiMutexCbs_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlOsiMutexCbs_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>OS mutex callback functions.  
 <a href="structrl_osi_mutex_cbs__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aacea5f4ad495797c8205cd40f02724e0"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_osi_mutex_cbs__t.html#aacea5f4ad495797c8205cd40f02724e0">rlOsiMutexCreate</a> )(rlOsiMutexHdl_t *mutexHdl, rlInt8_t *name)</td></tr>
<tr class="memdesc:aacea5f4ad495797c8205cd40f02724e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create Mutex Object.  <a href="#aacea5f4ad495797c8205cd40f02724e0">More...</a><br /></td></tr>
<tr class="separator:aacea5f4ad495797c8205cd40f02724e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4651c2a73bbdfe9d2ff1ac95730d2d3d"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_osi_mutex_cbs__t.html#a4651c2a73bbdfe9d2ff1ac95730d2d3d">rlOsiMutexLock</a> )(rlOsiMutexHdl_t *mutexHdl, rlOsiTime_t timeout)</td></tr>
<tr class="memdesc:a4651c2a73bbdfe9d2ff1ac95730d2d3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lock Mutex Object.  <a href="#a4651c2a73bbdfe9d2ff1ac95730d2d3d">More...</a><br /></td></tr>
<tr class="separator:a4651c2a73bbdfe9d2ff1ac95730d2d3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88386d426935fd48b4d1132ec9e16116"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_osi_mutex_cbs__t.html#a88386d426935fd48b4d1132ec9e16116">rlOsiMutexUnLock</a> )(rlOsiMutexHdl_t *mutexHdl)</td></tr>
<tr class="memdesc:a88386d426935fd48b4d1132ec9e16116"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unlock Mutex Object.  <a href="#a88386d426935fd48b4d1132ec9e16116">More...</a><br /></td></tr>
<tr class="separator:a88386d426935fd48b4d1132ec9e16116"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78f7aea4da6d4abd86227c3cb00b8443"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_osi_mutex_cbs__t.html#a78f7aea4da6d4abd86227c3cb00b8443">rlOsiMutexDelete</a> )(rlOsiMutexHdl_t *mutexHdl)</td></tr>
<tr class="memdesc:a78f7aea4da6d4abd86227c3cb00b8443"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy Mutex Object.  <a href="#a78f7aea4da6d4abd86227c3cb00b8443">More...</a><br /></td></tr>
<tr class="separator:a78f7aea4da6d4abd86227c3cb00b8443"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>OS mutex callback functions. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="aacea5f4ad495797c8205cd40f02724e0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlOsiMutexCbs_t::rlOsiMutexCreate)(rlOsiMutexHdl_t *mutexHdl, rlInt8_t *name)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Create Mutex Object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>- Name to associate with Mutex Object </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">mutexHdl</td><td>- Pointer to Mutex object</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Success - 0, Failure - Error code</dd></dl>
<p>Create Mutex Object </p>

</div>
</div>
<a class="anchor" id="a78f7aea4da6d4abd86227c3cb00b8443"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlOsiMutexCbs_t::rlOsiMutexDelete)(rlOsiMutexHdl_t *mutexHdl)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destroy Mutex Object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mutexHdl</td><td>- Pointer to Mutex object</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Success - 0, Failure - Error code</dd></dl>
<p>Destroy Mutex Object </p>

</div>
</div>
<a class="anchor" id="a4651c2a73bbdfe9d2ff1ac95730d2d3d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlOsiMutexCbs_t::rlOsiMutexLock)(rlOsiMutexHdl_t *mutexHdl, rlOsiTime_t timeout)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Lock Mutex Object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mutexHdl</td><td>- Pointer to Mutex object </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">timeout</td><td>- Maximum Time to wait for Mutex Lock</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Success - 0, Failure - Error code</dd></dl>
<p>Lock Mutex Object </p>

</div>
</div>
<a class="anchor" id="a88386d426935fd48b4d1132ec9e16116"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlOsiMutexCbs_t::rlOsiMutexUnLock)(rlOsiMutexHdl_t *mutexHdl)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Unlock Mutex Object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mutexHdl</td><td>- Pointer to Mutex object</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Success - 0, Failure - Error code</dd></dl>
<p>Unlock Mutex Object </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
